***
API
***

Tracing
=======

.. py:module:: ddtrace

.. automodule:: ddtrace.auto

.. autofunction:: ddtrace.patch_all

.. autofunction:: ddtrace.patch

.. autoclass:: ddtrace.Tracer
    :members:

.. autoclass:: ddtrace.Span
    :members:

.. autoclass:: ddtrace.Pin
    :members:

.. autoclass:: ddtrace.context.Context
    :members:
    :undoc-members:

.. autoclass:: ddtrace.sampler.DatadogSampler
    :members:

.. autoclass:: ddtrace.sampler.SamplingRule
    :members:

.. autoclass:: ddtrace.propagation.http.HTTPPropagator
    :members:

.. automodule:: ddtrace.opentelemetry
    :members:


Runtime Metrics
===============

.. autoclass:: ddtrace.runtime.RuntimeMetrics
    :members:


Dynamic Instrumentation
=======================

.. automodule:: ddtrace.debugging
    :members:


Source Code Integration
=======================

.. automodule:: ddtrace.sourcecode
    :members:
